package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.bean.result.SysDeviceResult;
import com.qmth.sop.business.entity.SysDevice;
import com.qmth.sop.common.enums.DeviceStatusEnum;
import com.qmth.sop.common.enums.InOutTypeEnum;

import java.util.List;
import java.util.Map;

/**
 * 设备配置表 服务类
 *
 * @author: shudonghui
 * @date: 2023-08-24 17:32:06
 * @version: 1.0
 * @email: shudonghui@qmth.com.cn
 * @Company: www.qmth.com.cn
 */
public interface SysDeviceService extends IService<SysDevice>{

    /**
    * 查询列表
    *
    * @param iPage
    * @return
    */
    IPage<SysDeviceResult> query(IPage<Map> iPage, Long supplierId, String brand, String model, String deviceCode,String serialNo, DeviceStatusEnum status, InOutTypeEnum bound, Boolean enable);

    /**
    * 新增修改设备配置表
    *
    * @param sysDevice
    */
    Boolean saveSysDevice(SysDevice sysDevice);


    boolean disable(long[] ids);

    boolean enable(long[] ids);

    boolean delete(long[] ids);

    void saveSysDevice(List<SysDevice> sysDevices);
}